<!--
  Generated template for the ExpensesReportPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
        <ion-navbar class="dawn-bar">
                <button ion-button menuToggle>
                  <ion-icon name="menu"></ion-icon>
                </button>
                <ion-title>Expense Report</ion-title>
              </ion-navbar>


</ion-header>



<ion-content>

    <ion-grid class="period">
        <ion-row>
            <ion-col col-8>
                <p>Period</p>
                <h6 *ngIf="fromDate!=''">{{datePeriod}}</h6>
            </ion-col>
            <ion-col col-4>
               <button (click)="showFilterPopup()">Change</button>
            </ion-col>
        </ion-row>
    </ion-grid>

    <ion-grid class="date-box-deta" *ngIf="!isReportEmpty">
      <ion-row class="overflow" >
        <ion-row class="heding-row">
            <ion-col col-3>
                <h3>Date</h3>
            </ion-col>
            <ion-col col-3 text-center>
                <h3>Type</h3>
            </ion-col>
          <ion-col col-3 text-right>
              <h3>Amount</h3>
        </ion-col>
        <ion-col col-3 text-center>
            <h3>Status</h3>
      </ion-col>
    </ion-row>
        <ion-row class="deta-row"  *ngFor="let item of expenseReports">
            <ion-col col-3>
              <p>{{item.date}}</p>
            </ion-col>
            <ion-col col-3 text-center>
              <p>{{item.type}}</p>
            </ion-col>
            <ion-col col-3 text-right>
              <p>{{item.amount}}</p>
            </ion-col>
            <ion-col col-3 text-center>
                {{item.status}}
            </ion-col>
        </ion-row>


     </ion-row>

  </ion-grid>

  <ion-grid *ngIf="isReportEmpty">
        <ion-row  >
            No reports found
           </ion-row >
        </ion-grid>
 <ion-grid class="total-earning">
      <ion-row class="total-earning-up total-amunt">
          <ion-col col-7>
            <h3>Total Expenses</h3>
            <p  *ngIf="fromDate!=''">{{datePeriod}}</p>
          </ion-col>
          <ion-col col-5 text-right>
              <h6><span>{{currencySymb}}</span>{{totalExpenses | number : '1.2-2' }}</h6>

            </ion-col>
      </ion-row>
    </ion-grid>

  </ion-content>







